### Method

# Gimp Gradient segment_get_coloring_type

since: 2.2

#### Declaration [src]

    gboolean
    gimp_gradient_segment_get_coloring_type (
      GimpGradient* gradient,
      gint segment,
      GimpGradientSegmentColor* coloring_type
    )

#### Description [src]

Gets the gradient segment’s coloring type

Gets the coloring type of the segment at the index. Returns an error when the segment index is out of range.

Available since: 2.2

#### Parameters

`segment`

  Type: `gint`

  The index of a segment within the gradient.

`coloring_type`

  Type: `GimpGradientSegmentColor`

  The coloring type of the segment.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE on success.